components/accounts/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls import url
from django.urls import reverse
from .views import UserCreationView, activate, EditUserProfileView, ChangePasswordPage, PasswordChangeView, PasswordResetView, SetNewPasswordView, LoginView, resend_email_verification_link, PasswordResetCompleteView
from django.contrib.auth import views as auth_views
from django.contrib.auth.decorators import login_required
from .forms import ForgotPasswordForm, SetNewPasswordForm, ChangePasswordForm, LoginForm
from django.views.generic.base import TemplateView

app_name= 'account'

urlpatterns = [
    path('registration/', UserCreationView.as_view(), name='sign-up'),
    path('confirm-email/<uidb64>/<token>/<secret_token>', activate, name='activate'),
    path('login/', LoginView.as_view(redirect_authenticated_user=True,), name="sign-in"),
    path('logout/', auth_views.LogoutView.as_view(next_page='account:sign-in'), name="logout"),
    path('profile/edit', login_required(EditUserProfileView.as_view()), name="profile"),
	path('password/change', login_required(PasswordChangeView.as_view(template_name="change-password.html", form_class=ChangePasswordForm), login_url='account:sign-in'), name='change-password'),
	path('password/change/done/', login_required(auth_views.PasswordChangeDoneView.as_view(template_name="change-password-done.html")), name='change-password-done'),
    path('password/reset/', PasswordResetView.as_view(template_name='password-reset.html', form_class=ForgotPasswordForm, email_template_name='password-reset-email.html'), name="forgot-password"),
    path('password/reset/email/done',auth_views.PasswordResetDoneView.as_view(template_name="password-reset-email-done-message.html"), name="password_reset_done"),
    path('password/reset/confirm/<uidb64>/<token>',SetNewPasswordView.as_view(template_name="set-new-password.html", form_class=SetNewPasswordForm), name='password_reset_confirm'),
    path('password/reset/complete/', PasswordResetCompleteView.as_view(template_name="password-reset-complete.html"), name="password_reset_complete"),
    path('request/status', TemplateView.as_view(template_name="message-handler.html"), name="message_handler"),
    path('resend/confirm-email/<username>', resend_email_verification_link , name='resend_confirm_email'),
]

try:
    from .views import LostTwoFactorAuthDevice
    urlpatterns.append(path('lost-device/', LostTwoFactorAuthDevice.as_view(), name="lost_device"))
except:
    pass

components/base/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic.base import TemplateView

app_name= 'base'

urlpatterns = [
    path('', TemplateView.as_view(template_name="home.html"), name='base_page'),
]

components/components/urls.py
from django.contrib import admin
from django.urls import path, include
from django.contrib.staticfiles.urls import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from . import settings

handler404 = 'base.views.handler404'

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('base.urls')),
    path('accounts/', include('accounts.urls')),
    path('predict/', include('image_process.urls')),
    path('', include('portfolio.urls')),
    path('', include('contact_us.urls')),
    path('', include('two_factor_authentication.urls'))
]

#urlpatterns += staticfiles_urlpatterns()
#urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

components/accounts/models.py
from django.db import models
from django.contrib.auth.models import AbstractUser

class User(AbstractUser):
	mobile = models.CharField(max_length=12, null=True)

class UserSecretToken(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    secret_token = models.CharField(max_length=255,null=True)
    is_expired = models.BooleanField(default=False)
    resend_count = models.IntegerField(default=0)
    created_on = models.DateTimeField(auto_now_add=True, null=True)

class UserPasswordHistory(models.Model):
	uid = models.ForeignKey(User, on_delete=models.CASCADE)
	old_password = models.TextField()
	changed_on = models.DateTimeField(auto_now_add=True, null=True)

components/accounts/views.py
from django.shortcuts import render
from django.views import View
from django.http import request, HttpResponse, HttpResponseRedirect, JsonResponse
from .forms import LoginForm, UserCreationForm, EditUserProfileForm, ChangePasswordForm, PasswordResetForm, OTPTokenForm
from django.shortcuts import render, redirect, resolve_url
from django.contrib.auth import login, authenticate, update_session_auth_hash, logout
from django.utils.encoding import force_text
from django.utils.http import urlsafe_base64_decode
from .tokens import account_activation_token
from django.contrib import messages
from .models import User, UserSecretToken, UserPasswordHistory
from django.contrib.auth.mixins import LoginRequiredMixin
from django.contrib.auth import views as auth_views
from django.urls import reverse_lazy
from django.contrib.auth.hashers import (check_password, is_password_usable, make_password,)
from .mails import mail
from django.conf import settings
from . import (
    is_app_installed,
    get_user_chosen_recovery_option,
    get_chosen_option_value,
    decode_chosen_option_value,
    email_option,
    mobile_option,
    get_totp_key,
    send_sms
    )
from binascii import unhexlify

class AccountAuthentication:

    session_name = 'otp'

    def get_user_by_username(self, username):
        user = User.objects.get(username=username)
        return user

class UserCreationView(View):

    def get(self, request):
        if request.user.is_anonymous:
            context = {'registration': UserCreationForm}
            return render(request, template_name='user-registration.html', context=context)
        else:
            return redirect("account:profile")

    def post(self, request):
        form = UserCreationForm(request.POST)
        if form.is_valid():
            user = form.save(commit=False)
            user.is_active = False
            user.save()
            username = form.cleaned_data['username']
            to_email = form.cleaned_data['email']
            if User.objects.filter(username=username).exists():
                if mail.sendEmailVerificationMail(user, request, to_email):
                    #context = {'title':'Account has been created successfully', 'message': 'Thank you. We have sent a verification mail to '+to_email+'. Please check your mail box for further details.'}
                    messages.success(request, 'Account has been created successfully. We have sent a verification mail to '+to_email+'. Please check your mail box for further details.')
                else:
                    messages.error(request, 'Problem in sending email verification.')
                    #context = {'title':'OOPS..!','message': 'Problem in sending email verification .'}
                #return render(request, template_name='message-handler.html', context=context)
                return redirect('account:message_handler')
            else:
                messages.error(request, 'Sorry something went wrong, please try again.')
                #context = {'title':'OOPS..!', 'message': 'Sorry something went wrong, please try again.'}
                #return render(request, template_name='message-handler.html', context=context)
                return redirect('account:message_handler')
        else:
            context = {'registration': form}
            return render(request, template_name="user-registration.html", context=context)

class EditUserProfileView(View):

    def get(self, request):
        editForm = EditUserProfileForm(instance=request.user)
        context = {"edit_profile_form": editForm}
        return render(request, template_name="edit-user-profile.html", context=context)

    def post(self, request):
        edit_form = EditUserProfileForm(request.POST, instance=request.user)
        if edit_form.is_valid():
            user = User.objects.get(id=self.request.user.id)
            to_email = edit_form.cleaned_data['email']
            username = edit_form.cleaned_data['username']
            if to_email != user.email:
                if mail.sendEmailVerificationMail(user, request, to_email):
                    user_profile = edit_form.save(commit=False)
                    user_profile.is_active = False
                    user_profile.save()
                    logout(request)
                    messages.success(request, 'Profile updated successfully. Since you have changed you email address, we have sent a verification mail to '+to_email+'. Please check your mail box for further details. Your account will be on in-active state, until you confirm your updated email address.')
                    return redirect('account:message_handler')
                    #context = {'title':'Your profile has been updated successfully','message': 'Since you have changed you email address, we have sent a verification mail to '+to_email+'. Please check your mail box for further details. Your account will be on in-active state, until you confirm your updated email address'}
                    #return render(request, template_name='message-handler.html', context=context)
            else:
                edit_form.save()
                if user.username != username:
                    user = User.objects.get(id=self.request.user.id)
                    mail.sendUsernameUpdatedMail(user, request, to_email)
                messages.success(request, 'Your profile has been updated successfully.')
                #return HttpResponseRedirect('registration:profile')
                return redirect('account:profile')
                #context = {'title':'Your profile has been updated successfully','message': ''}
                #return render(request, template_name='message-handler.html', context=context)
        else:
            #edit_form = UserProfileEditForm(request.POST)
            context = {"edit_profile_form": edit_form}
            return render(request, template_name="edit-user-profile.html", context=context)

def activate(request, uidb64, token, secret_token):
    try:
        uid = force_text(urlsafe_base64_decode(uidb64))
        user = User.objects.get(pk=uid)
    except(TypeError, ValueError, OverflowError, User.DoesNotExist):
        user = None
    if user is not None and account_activation_token.check_token(user, token) and account_activation_token.check_secret_token(uid, secret_token) and user.is_active == False:
        user.is_active = True
        user.save()
        secret_token = UserSecretToken.objects.get(user_id=uid)
        secret_token.is_expired = True
        secret_token.save()
        #context = {'title':'', 'message':''}
        messages.success(request, 'Thank you, your email address has been confirmed successfully. Now you can login your account.')
        return redirect('account:message_handler')
        #return render(request, template_name='message-handler.html', context=context)
    else:
        messages.error(request,'The email confirm link was invalid, possibly because it has already been used. Please request a new email confimation.')
        return redirect('account:message_handler')
        #context = {'message': 'Invalid Request.'}
        #return render(request, template_name='message-handler.html', context=context)

class ChangePasswordPage(View):

    def get(self, request):
        change_password_form = ChangePasswordForm(request.user)
        context = {'change_password_form': change_password_form}
        return render(request, template_name='change-password.html', context=context)
    
    def post(self, request):
        change_password_form = ChangePasswordForm(request.user, request.POST)
        if change_password_form.is_valid():
            user = change_password_form.save()
            update_session_auth_hash(request, user)
            messages.success(request, 'Password has been changed successfully.')
            return redirect('accounts:profile')
            #return HttpResponseRedirect(reverse('registration:profile'))
        else:
            context = {'change_password_form':change_password_form}
            return render(request, template_name="change-password.html", context=context)

class LoginView(auth_views.LoginView, AccountAuthentication):
    
    form_class = LoginForm
    template_name = 'login.html'
    extra_context = {}
    auth_level = False

    def get_form_class(self):
        if self.request.POST.get('otp_token'):
            self.form_class = OTPTokenForm
            self.auth_level = True
        else:
            self.auth_level = False
        return self.authentication_form or self.form_class

    def form_valid(self, form):
        if self.auth_level and form.cleaned_data['otp_token']:
            user = authenticate(username=self.request.session[self.session_name].get('username'),password=self.request.session[self.session_name].get('password'))
            if user is not None:
                login(self.request, user)
                del self.request.session[self.session_name]
            return HttpResponseRedirect("/")
        else:
            if is_app_installed('django_otp'):
                from django_otp import user_has_device
                user = User.objects.get(username=form.get_user())
                if user_has_device(user):
                    self.request.session[self.session_name] = {'username':form.get_user().username,'password':form.cleaned_data.get('password')}
                    self.form_class = OTPTokenForm
                    return render(self.request, self.template_name, self.get_context_data(first_load=True, username=form.get_user().username))
                else:
                    login(self.request, form.get_user())
                    return HttpResponseRedirect("/")
            else:
                login(self.request, form.get_user())
                return HttpResponseRedirect("/")
    
    def get_success_url(self):
        return reverse_lazy("account:profile")
    success_url = reverse_lazy("account:profile")

    def get_context_data(self, **kwargs):

components/accounts/templates/edit-user-profile.html
{% extends 'base.html' %}
{% block meta_tags %}<title>Profile - Components</title>
        <meta name="description" content="Edit Profile page in components site">{% endblock %}
{% block content %}
<div class="subcontainer">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
            {% if messages %}
                <ul class="messages text-center list-inline">
                    {% for message in messages %}
                        <li {% if message.tags %} class="list-inline-item {{ message.tags }}"{% endif %}>{{ message }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        </div>
    </div>
    <div class="col-md-8 col-sm-8 col-xs-12 col-lg-4">
    <div class = "card border-dark mb-3">
       <div class = "card-body">
            <div class="text-center mb-4">
                <h2 class="card-title">Update Profile</h2>
            </div>
            <form method="POST">
                <div class="form-group">
                    <!-- {{ edit_profile_form.first_name.label_tag }} -->
                    {{ edit_profile_form.first_name }}
                    {{ edit_profile_form.first_name.errors }}
                </div>
                <!--
                <div class="row">
                    <div class="form-group">
                        {{ edit_profile_form.last_name.label_tag }}
                        {{ edit_profile_form.last_name }}
                        {{ edit_profile_form.last_name.errors }}
                    </div>
                </div>
                -->
                <div class="form-group">
                    <!-- {{ edit_profile_form.username.label_tag }} -->
                    {{ edit_profile_form.username }}
                    {{ edit_profile_form.username.errors }}
                </div>
                <div class="form-group">
                    <!-- {{ edit_profile_form.email.label_tag }} -->
                    {{ edit_profile_form.email }}
                    {{ edit_profile_form.email.errors }}
                </div>
                <div class="form-group">
                    <!-- {{ edit_profile_form.email.label_tag }} -->
                    {{ edit_profile_form.mobile }}
                    {{ edit_profile_form.mobile.errors }}
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-success col-lg-12 col-md-12 col-xs-12 col-sm-12" name="edit-profile">Save Profile</button>
                </div>
                {% csrf_token %}
            </form>
            <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                <ul class="list-inline">
                    <li>
                        <a href="{% url 'account:change-password' %}">Change Password</a>
                    </li>
                    <!-- <li>
                        <a href="{% url 'account:logout' %}">Logout</a>
                    </li>
                    -->
                </ul>
            </div>
       </div>
    </div>
</div>
</div>
{% endblock %}

components/accounts/templates/login.html
{% extends 'base.html' %}
      {% block meta_tags %}<title>Login - Components</title>
        <meta name="description" content="Login page in components site.">{% endblock %}
{% load static %}
{% block content %}
        <div class="sub-container">
          <div class="col-md-8 col-sm-8 col-xs-12 col-lg-4">
          {% if messages %}
            <div class="row">
              <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                  <div class="text-center">
                    <ul class="list-inline">
                      {% for message in messages %}
                        <li class="list-inline-item {{ message_tags}}"> {{ message }}</li>
                      {% endfor %}
                    </ul>
                  </div>
              </div>
            </div>
          {% endif %}
          <div class = "card border-dark mb-3">
            <!--<div class = "card-header text-white bg-secondary">
              <h2 class = "text-center">Login</h2>
            </div>
            -->
            <div class = "card-body">
              <div class="text-center mb-4">
                {% if form.username %}
                  {% with name="Login" %}
                    <h2 class="card-title">{{name}}</h2>
                  {% endwith %}
                {% else %}
                    {% with name="Two-Factor Authentication" %}
                      <h2 class="card-title">{{name}}</h2>
                    {% endwith %}
                {% endif %}
              </div>
              <div class="ajax-success-reponse"></div>
                {% if form.otp_token.errors and not first_load%}
                  <div class="alert alert-danger">
                      <a class="close" href="#" data-dismiss="alert">×</a>
                      {{ form.otp_token.errors }}
                  </div>
                {% endif %}
                 {% for error in form.non_field_errors %}
                  <div class="alert alert-danger">
                      <a class="close" href="#" data-dismiss="alert">×</a>
                      {{ error }}
                  </div>
                {% endfor %}
                <form method="post" id="authentication-form">
                {% if form.username %}
                  <div class="form-group">
                    <!-- <label for="{{ form.username.id_for_label }}">{{ form.username.label_tag }}</label> -->
                    <input type="text" name="{{ form.username.html_name}}" id="{{ form.username.id_for_label}}" value="{{ form.data.username}}" class="form-control form-control-md" autofocus="autofocus" autocomplete=
                    "off" placeholder="Username or Email address" required />
                  </div>
                  <div class="form-group">
                    <!-- <label for="{{ form.Password.id_for_label }}">{{ form.password.label_tag }}</label> -->
                    <input type="password" name="{{ form.password.html_name}}" id="{{ form.password.id_for_label}}"  value="" class="form-control form-control-md" placeholder="Password" autocomplete="off" required />
                  <div class="text-right">
                   <a class="" href="{% url 'account:forgot-password' %}">Forgot Password?</a>
                  </div>
                  <div class="form-group">
                    <div class="form-check">
                      {{ form.remember_me }} 
                    <label for ="{{ form.remember_me.id_for_label}}" class="form-check-label" >{{ form.remember_me.label}}</label>
                    </div>
                  </div>
                  </div>
                  {% else %}
                   <div class="form-group">
                    <label for="{{ form.otp_token.id_for_label}}">Enter the 6-digit code that you see in the app
                    </label>
                    <input type="text" name="{{ form.otp_token.html_name}}" id="{{ form.otp_token.id_for_label}}"  maxlength=6 value="" class="form-control form-control-md" autofocus="autofocus" autocomplete="off" required />
                    <p class="form-text text-muted hint">
                      Enter the code from the two-factor app on your mobile device. If you've lost your device, you may enter one of your recovery codes.
                    </p>
                    </div>
                  {% endif %}
                  {% if form.username %}
                    {% with button_name="Login" %}
                      <button type="submit" class="btn btn-primary btn-md btn-block">{{ button_name }}</button>
                    {% endwith %}
                  {% else %}
                    {% with button_name="Verify" %}
                      <button type="submit" class="btn btn-primary btn-md btn-block">{{ button_name }}</button>
                    {% endwith %}
                  <div class="pt-4 text-center">
                    <a href="#" class="lost-device" data-toggle="modal" data-target="#tryAnotherModalCenter" data-backdrop="static" data-keyboard="false">Try another way to sign in</a>
                  </div>
                  {% endif %}
                  <input type="hidden" name="next" value="{% url 'account:profile' %}">
                  {% csrf_token %}
                </form>
                {% if  form.otp_token  and chosen_option_value %}
                  <!-- Modal -->
                  <div class="modal fade" id="tryAnotherModalCenter" tabindex="-1" role="dialog" aria-labelledby="tryAnotherModalCenterTitle"
                    aria-hidden="false">

                    <!-- Add .modal-dialog-centered to .modal-dialog to vertically center the modal -->
                    <div class="modal-dialog modal-dialog-centered" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="tryAnotherModalCenterLongTitle">Try another way to sign in</h5>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                          </button>
                        </div>
                        <div class="modal-body">
                          <form method="POST" id="try_another_way_form" action="{% url 'account:lost_device' %}">
                            {% csrf_token %}
                            <div class="row pb-2">
                              <div class="ajax-error-reponse col-12"></div>
                              <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
                                <p></p>
                                <p class="text-center"><i class="fa fa-mobile fa-4x"></i></p>
                              </div>
                              <div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
                                <p>Verifcation code will be send to below {{ chosen_option_text}}, please confirm.</p>
                                <h2><span class="badge">{{ chosen_option_value }}</span></h2>
                              </div>
                            </div>
                            <hr>
                            <button type="submit" class="btn btn-outline-primary pull-right">Confirm</button>
                          </form>
                          <!--
                            <div class="chosen_two_factor_recovery_option">
                              <div class="try-another-way">
                                <button type="button" class="btn btn btn-outline-primary w-100 p-3 mb-2 mt-2 text-center get-code-by" data-request="{% url 'account:lost_device' %}" data-chosen-option="{{ chosen_option }}">
                                  {{ button_text }} -  {{ chosen_option }}
                                </button>
                              </div>
                            </div>
                          -->
                        </div>
                      </div>
                    </div>
                  </div>
                {% endif %}
                {% if form.username %}
                <div class="text-center mb-3 mt-3">--OR--</div>
                <div class="text-center">
                  <a class="" href="{% url 'account:sign-up' %}">Create an account</a>
                </div>
                {% endif %}
              </div>
            </div>
          </div>
        </div>
  <script type="text/javascript" src="{% static 'accounts/js/accounts.js' %}"></script>
  {% endblock %}

components/accounts/templates/message-handler.html
{% extends 'base.html' %}

{% block meta_tags %}
  <title>Message Handler - Components</title>
{% endblock %}

{% block content %}
    <div class="subcontainer">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                <div class="text-center">
                    {% if messages %}
                      <div class="{{ message.tags}} {{ message.extra_tags }}">
                        {% for message in messages %}
                            <p>{{ message }}</p>
                        {% endfor %}
                      </div>
                    {% endif %}
                    {% if user.is_authenticated %}
                    <ul class="list-inline">
                      <li class="list-inline-item">
                        <i class="fa fa-arrow-left" aria-hidden="true"></i>
                        <a href="{% url 'account:profile' %}">Profile</a></li>
                      <li class="list-inline-item"><a href="{% url 'account:logout' %}">Logout</a></li>
                    </ul>
                    {% else %}
                        <p>Go to <a href="{% url 'account:sign-in' %}">Login</a></p>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}

components/accounts/templates/password-reset-complete.html
{% extends 'base.html' %}

{% block content %}
<div class="subcontainer">
	<div class="row">
		<div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
			<div class="text-center">
				<p>Your new password has been updated. You may go ahead and</p>
				<p>Go to <a href="{% url 'account:sign-in' %}">Login</a></p>
			</div>
		</div>
	</div>
</div>
{% endblock %}

components/accounts/templates/password-reset-email-done-message.html
{% extends 'base.html' %}
{% block meta_tags %}<title>Sent Password Reset Email - Components</title>{% endblock %}
{% block content %}
        <div class="subcontainer">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                    <div class="text-center">
                        {% if user.is_authenticated %}
                            <div class="sone-mesg">
                              <h5>You have already logged in</h5> 
                                <ul class="list-inline">
                                  <li>
                                    <i class="fa fa-arrow-left" aria-hidden="true"></i>
                                    <a href="{% url 'account:profile' %}">Profile</a></li>
                                  <li><a href="{% url 'account:logout' %}">Logout</a></li>
                                </ul>
                            </div>
                        {% else %}
                        <p>
        We’ve emailed you instructions for setting your password, if an account exists with the email you entered. You should receive them shortly.
        If you don’t receive an email, please make sure you’ve entered the address you registered with, and check your spam folder.
                        </p>
                        <p>Go to <a href="{% url 'account:sign-in' %}">Login</a></p>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
{% endblock %}

components/accounts/templates/password-reset-email.html
{% autoescape off %}

To initiate the password reset process for your {{ user.get_username }} Account,
click the link below:

{{ protocol }}://{{ domain }}{% url 'account:password_reset_confirm' uidb64=uid token=token %}

If clicking the link above doesn't work, please copy and paste the URL in a new browser
window instead.

{% endautoescape %}

components/accounts/templates/password-reset.html
{% extends 'base.html' %}
{% block meta_tags %}<title>Forgot Password - Components</title>
        <meta name="description" content="Forgot page in components site.">{% endblock %}
{% block content %}
<div class="subcontainer">
  {% if user.is_anonymous %}
  <div class="col-md-5 col-sm-8 col-xs-12 col-lg-4">
        <div class = "card border-dark mb-3">
           <div class = "card-body">
              <div class="text-center mb-4">
                <h2 class="card-title">Forgot password</h2>
              </div>
              <form method="post">     
                  <div class="form-group">
                    <p>Please enter your email address to search for your account </p>
                    <!-- <label for="{{ form.email.id_for_label }}">{{ form.email.label_tag }}</label> -->
                    <input type="email" name="{{ form.email.html_name}}" class="form-control" value="{{ form.data.email }}" placeholder="Email address" required>
                    {{ form.email.errors }}
                  </div>
                {% csrf_token %}
                  <div class="form-group">
                    <button type="submit" class="btn btn-primary col-lg-12 col-md-12 col-xs-12 col-sm-12">Submit</button>
                  </div>
              </form>
                <div class="col-md-12 col-sm-12 col-xs-12 col-lg-12">
                  <ul class="list-inline">
                    <li>
                      <i class="fa fa-arrow-left" aria-hidden="true"></i> 
                      <a href="{% url 'account:sign-in' %}">Back to login</a></li>
                  </ul>
              </div>
          </div>
        </div>
      </div>
    {% else %}
      <div class="text-center">
        <h3>You have already logged in</h3>
        <ul class="list-inline">
          <li>
            <i class="fa fa-arrow-left" aria-hidden="true"></i>
            <a href="{% url 'account:profile' %}">Profile</a></li>
          <li><a href="{% url 'account:logout' %}">Logout</a></li>
        </ul>
      </div>
    {% endif %}
</div>
{% endblock %}